### Class

# WebKit2WebExtension DOMStyleSheet

#### Description

    class WebKit2WebExtension.DOMStyleSheet : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Descendants

- WebKitDOMCSSStyleSheet

#### Instance methods

###### webkit_dom_style_sheet_get_content_type

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_disabled

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_href

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_media

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_owner_node

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_parent_style_sheet

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_get_title

No description available.

deprecated: 2.22

###### webkit_dom_style_sheet_set_disabled

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMStyleSheet:disabled

No description available.

###### WebKit2WebExtension.DOMStyleSheet:href

No description available.

###### WebKit2WebExtension.DOMStyleSheet:media

No description available.

###### WebKit2WebExtension.DOMStyleSheet:owner-node

No description available.

###### WebKit2WebExtension.DOMStyleSheet:parent-style-sheet

No description available.

###### WebKit2WebExtension.DOMStyleSheet:title

No description available.

###### WebKit2WebExtension.DOMStyleSheet:type

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMStyleSheetClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.